/*
 ****************************************************************************************
 * DISCLAIMER
 ****************************************************************************************
 * This software and/or information (the "Material") is supplied by Renesas Electronics
 * Corporation. and is only intended for use with Renesas products. No other uses are authorized.
 * The Material is owned by Renesas Electronics Corporation and is protected under all applicable laws,
 * including copyright laws.
 * THIS MATERIAL IS PROVIDED "AS IS," AND RENESAS MAKES NO WARRANTIES REGARDING THIS MATERIAL,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, NEITHER RENESAS ELECTRONICS CORP. NOR ANY OF ITS
 * AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS MATERIAL, EVEN IF RENESAS OR ITS AFFILIATES
 * HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this Material
 * and to discontinue its availability
 *
 ****************************************************************************************
 * acc.h
 *
 *  Created on: Sep 30, 2015
 *      Author: alejandro
 ****************************************************************************************
 */

#ifndef SRC_ACC_H_
#define SRC_ACC_H_

#include <stdint.h>
#include "r_spi_api.h"

#define ACC_SET_COUNT   (ACC_RATE/2)

typedef struct
{
    int16_t x;
    int16_t y;
    int16_t z;
}acc_unit_t;

// notifier that a set is available
extern TX_SEMAPHORE *acc_set_ready;

bool acc_started (void);
// initailizes and starts the accelerometer
ssp_err_t acc_start (void);
// retreives a set of maximum of ACC_SET_COUNT
void acc_set_get (acc_unit_t *, int max);

// handler for processing accelerometer interrupt
bool acc_int_service (void);

typedef struct
{
    spi_ctrl_t SPIx;
    bool running;
    acc_unit_t xyz;
    TX_MUTEX mutex;         // to access the cached xyz values
    // some local storage area
    uint8_t rx_buf[16];
    uint8_t tx_buf[16];
}acc_context_hw_t;

#endif /* SRC_ACC_H_ */
