package com.xaplos.hcsolution;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.TextView;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;

public class SensorsActivity extends AppCompatActivity implements BLEManager.BLEManagerNotifyListener {
    private final BLEManager mBle = BLEManager.getInstance();
    private TextView mLight;
    private TextView mTemperature;
    private TextView mHumidity;
    private TextView mPressure;

    private BroadcastReceiver receiver = new BroadcastReceiver() {
        @Override
        public void onReceive(Context context, Intent intent) {
            mLight.setText("- lux");
            mTemperature.setText("- C");
            mHumidity.setText("- %");
            mPressure.setText("- hPa");
        }
    };

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_sensors);
        getSupportActionBar().hide();

        // register for disconnect event
        IntentFilter filter = new IntentFilter();
        filter.addAction("com.xaplos.BleDisconnect");
        registerReceiver(receiver, filter);

        mLight = (TextView)findViewById(R.id.text_view_light_value);
        mTemperature = (TextView)findViewById(R.id.text_view_temperature_value);
        mHumidity = (TextView)findViewById(R.id.text_view_humidity_value);
        mPressure = (TextView)findViewById(R.id.text_view_pressure_value);

        mBle.addNotifyListener(this);
    }

    @Override
    public void onNotification(Bundle notification) {
        int light = notification.getInt("Light");
        mLight.setText(String.valueOf(light / 10.0) + " Lux");

        int temperature = notification.getInt("Temperature");
        mTemperature.setText(String.valueOf(temperature / 10.0) + " C");

        int humidity = notification.getInt("Humidity");
        mHumidity.setText(String.valueOf(humidity / 10.0) + "%");

        int pressure = notification.getInt("Pressure");
        mPressure.setText(String.valueOf(pressure / 100.0) + " hPa");
    }
}
