/*
 ****************************************************************************************
 * DISCLAIMER
 ****************************************************************************************
 * This software and/or information (the "Material") is supplied by Renesas Electronics
 * Corporation. and is only intended for use with Renesas products. No other uses are authorized.
 * The Material is owned by Renesas Electronics Corporation and is protected under all applicable laws,
 * including copyright laws.
 * THIS MATERIAL IS PROVIDED "AS IS," AND RENESAS MAKES NO WARRANTIES REGARDING THIS MATERIAL,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, NEITHER RENESAS ELECTRONICS CORP. NOR ANY OF ITS
 * AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS MATERIAL, EVEN IF RENESAS OR ITS AFFILIATES
 * HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this Material
 * and to discontinue its availability
 *
 ****************************************************************************************
 * adc_process.h
 *
 *  Created on: Jul 29, 2016
 *      Author: mitsumono
 ****************************************************************************************
 */

#include "adc.h"
#include "config.h"
#include "driver/led.h"

#ifndef ADC_PROCESS_H_
#define ADC_PROCESS_H_

#define DEADBAND_HALF 750
#define TWO_THIRDS_BATT FULL_BAT-(FULL_BAT-DEAD_BAT)*1/3
#define TWO_THIRDS_BATT_DEADBAND_UPPER TWO_THIRDS_BATT+DEADBAND_HALF
#define TWO_THIRDS_BATT_DEADBAND_LOWER TWO_THIRDS_BATT-DEADBAND_HALF

#define ONE_THIRD_BATT FULL_BAT-(FULL_BAT-DEAD_BAT)*2/3
#define ONE_THIRD_BATT_DEADBAND_UPPER ONE_THIRD_BATT+DEADBAND_HALF
#define ONE_THIRD_BATT_DEADBAND_LOWER ONE_THIRD_BATT-DEADBAND_HALF

#define DETECT_THRESHOLD 10000
#define TWO_SECONDS 1000

/*
 * adc_peak_t contians variables for calculating the peak and elapsed time since the peak
 */
typedef struct
{
    int peak;
    int peak_time_elapsed;
} adc_peak_t;


int calculate_blood_glucose (int value);

int adc_process_bg(int value, int *bg);
void adc_process_batt(int value);

int adc_process_bg_batt(int batt_value, int bg_value, int *bg);

int adc_track_peak(int value, adc_peak_t *adc_p);

int adc_idle_enter (void);
int adc_idle_exit (void);

int bg_batt_adc_init(void);
int bg_batt_adc_close(void);

int handle_strip_ins (void);
int handle_strip_rem (void);


#endif /* ADC_PROCESS_H_ */
