/*
 ****************************************************************************************
 * DISCLAIMER
 ****************************************************************************************
 * This software and/or information (the "Material") is supplied by Renesas Electronics
 * Corporation. and is only intended for use with Renesas products. No other uses are authorized.
 * The Material is owned by Renesas Electronics Corporation and is protected under all applicable laws,
 * including copyright laws.
 * THIS MATERIAL IS PROVIDED "AS IS," AND RENESAS MAKES NO WARRANTIES REGARDING THIS MATERIAL,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, NEITHER RENESAS ELECTRONICS CORP. NOR ANY OF ITS
 * AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS MATERIAL, EVEN IF RENESAS OR ITS AFFILIATES
 * HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this Material
 * and to discontinue its availability
 *
 ****************************************************************************************
 * events.h
 *
 *  Created on: Jul 28, 2016
 *      Author: mitsumono
 ****************************************************************************************
 */

#ifndef EVENTS_H_
#define EVENTS_H_

#define NEXT_FLAG(FLAG) ((FLAG) << 1)

enum
{
    PWR_BTN_EVENT = 1,
    BOARD_INIT_EVENT = NEXT_FLAG(PWR_BTN_EVENT),
    BTN_DOWN_EVENT = NEXT_FLAG(BOARD_INIT_EVENT),
    BTN_UP_EVENT = NEXT_FLAG(BTN_DOWN_EVENT),
    STRIP_EVENT = NEXT_FLAG(BTN_UP_EVENT),
    SHOW_BG_EVENT = NEXT_FLAG(STRIP_EVENT),
};

enum
{
    ADC_EVENT_NONE = NEXT_FLAG(SHOW_BG_EVENT),
    ADC_BATT_EVENT_FLAG = NEXT_FLAG(ADC_EVENT_NONE),
    ADC_BG_BATT_EVENT_FLAG = NEXT_FLAG(ADC_BATT_EVENT_FLAG)
};

enum
{
    DISPLAY_TIMEOUT_EVENT = NEXT_FLAG(ADC_BG_BATT_EVENT_FLAG),
    DISPLAY_IS_EVENT = NEXT_FLAG(DISPLAY_TIMEOUT_EVENT),
    DISPLAY_BP_EVENT = NEXT_FLAG(DISPLAY_IS_EVENT),
    DISPLAY_BG_EVENT = NEXT_FLAG(DISPLAY_BP_EVENT)
};

#define BTN_EVENT_MASK      (BTN_DOWN_EVENT    |   BTN_UP_EVENT)
#define STRIP_EVENT_MASK         (STRIP_EVENT)
#define PWR_EVENT_MASK           (PWR_BTN_EVENT)
#define SHOW_ITEMS_MASK  (SHOW_BG_EVENT)

#define ADC_EVENT_MASK (ADC_BG_BATT_EVENT_FLAG | ADC_BATT_EVENT_FLAG)

#define DISPLAY_MASK (DISPLAY_TIMEOUT_EVENT |  DISPLAY_IS_EVENT | DISPLAY_BP_EVENT | DISPLAY_BG_EVENT)
#endif /* EVENTS_H_ */
