/**
 ****************************************************************************************
 * DISCLAIMER
 ****************************************************************************************
 * This software and/or information (the "Material") is supplied by Renesas Electronics
 * Corporation. and is only intended for use with Renesas products. No other uses are authorized.
 * The Material is owned by Renesas Electronics Corporation and is protected under all applicable laws,
 * including copyright laws.
 * THIS MATERIAL IS PROVIDED "AS IS," AND RENESAS MAKES NO WARRANTIES REGARDING THIS MATERIAL,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, NEITHER RENESAS ELECTRONICS CORP. NOR ANY OF ITS
 * AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS MATERIAL, EVEN IF RENESAS OR ITS AFFILIATES
 * HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this Material
 * and to discontinue its availability
 *
 ****************************************************************************************
 *
 * @file		rble_trans.h
 *
 * @brief	Header file for rBLE communication.
 *
 * Copyright(C) 2013-2014 Renesas Electronics Corporation
 *
 * $Rev: 4206 $
 *
 ****************************************************************************************
 */

#ifndef	__RBLE_TRAN_INC__
#define	__RBLE_TRAN_INC__

#include "rble.h"
#include "rble_api.h"

/**************************** Define Declaration **************************************/
#define RBLE_HEADER_SIZE			4
#define RBLE_SUBHEADER_SIZE			4
#define RBLE_PACKET_TYPE_COMMAND	1
#define RBLE_PACKET_TYPE_EVENT		2

#define RBLE_MAX_PAYLOARD_SIZE		128  

#define RBLE_API_OVER_PACKET_MASKBIT16	0x8000

/**************************** Structure Declaration ***********************************/

/* rBLE Command Event Header structure */
typedef struct{
	uint8_t		packet_type;
	uint8_t		packet_length;
	uint16_t	opcode;
	uint8_t		data[RBLE_MAX_PAYLOARD_SIZE - RBLE_HEADER_SIZE];		/* Data (the variable length) */
}RBLE_HEADER_t;

typedef struct{
	uint8_t		packet_type;
	uint8_t		packet_length;
	uint16_t	opcode;
	/*------------------------*/
	uint8_t		packet_no;
	uint8_t		packet_end;
	uint16_t	data_length;
	uint8_t		data[RBLE_MAX_PAYLOARD_SIZE - RBLE_HEADER_SIZE - RBLE_SUBHEADER_SIZE];		/* Data (the variable length) */
}RBLE_SUBHEADER_t;

#endif // __RBLE_TRAN_INC__

