/*
 ****************************************************************************************
 * DISCLAIMER
 ****************************************************************************************
 * This software and/or information (the "Material") is supplied by Renesas Electronics
 * Corporation. and is only intended for use with Renesas products. No other uses are authorized.
 * The Material is owned by Renesas Electronics Corporation and is protected under all applicable laws,
 * including copyright laws.
 * THIS MATERIAL IS PROVIDED "AS IS," AND RENESAS MAKES NO WARRANTIES REGARDING THIS MATERIAL,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, NEITHER RENESAS ELECTRONICS CORP. NOR ANY OF ITS
 * AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS MATERIAL, EVEN IF RENESAS OR ITS AFFILIATES
 * HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this Material
 * and to discontinue its availability
 *
 ****************************************************************************************
 * led.c
 *
 *  Created on: Feb 3, 2016
 *      Author: alejandro
 ****************************************************************************************
 */
#include "led.h"

void led_init (void)
{
    hal_led_init ();
}

void led_on (led_t led)
{
    hal_led_state (led, LED_ON);
}

void led_off (led_t led)
{
    hal_led_state (led, LED_OFF);
}

void led_toggle (led_t led)
{
    led_state_t now;

    now = hal_read_led_state (led);
    // toggle
    hal_led_state (led, LED_ON == now ? LED_OFF : LED_ON);
}

/**
 * Utility function for shutting down all LEDs
 */
void led_all_off(void)
{
    led_off (LED_1);
    led_off (LED_2);
    led_off (LED_3);
    led_off (LED_4);
    led_off (LED_5);
    led_off (LED_6);
}

/**
 * led_red displays red led on chosen led
 */
void led_red (led_group_t led)
{
    led_on (LED_1+led*LED_PER_GROUP);
    led_off (LED_2+led*LED_PER_GROUP);
    led_off (LED_3+led*LED_PER_GROUP);

}

/**
 * led_green displays green led on chosen led
 */
void led_green (led_group_t led)
{
    led_off (LED_1+led*LED_PER_GROUP);
    led_on (LED_2+led*LED_PER_GROUP);
    led_off (LED_3+led*LED_PER_GROUP);

}

/**
 * led_blue displays blue led on chosen led
 */
void led_blue (led_group_t led)
{
    led_off (LED_1+led*LED_PER_GROUP);
    led_off (LED_2+led*LED_PER_GROUP);
    led_on (LED_3+led*LED_PER_GROUP);
}

/**
 * led_yellow displays yellow led on chosen led
 */
void led_yellow (led_group_t led)
{
    led_on (LED_1+led*LED_PER_GROUP);
    led_on (LED_2+led*LED_PER_GROUP);
    led_off (LED_3+led*LED_PER_GROUP);
}

/**
 * led_white displays white led on chosen led
 */
void led_white (led_group_t led)
{
    led_on (LED_1+led*LED_PER_GROUP);
    led_on (LED_2+led*LED_PER_GROUP);
    led_on (LED_3+led*LED_PER_GROUP);
}
