/*
  ****************************************************************************************
 * DISCLAIMER
 ****************************************************************************************
 * This software and/or information (the "Material") is supplied by Renesas Electronics
 * Corporation. and is only intended for use with Renesas products. No other uses are authorized.
 * The Material is owned by Renesas Electronics Corporation and is protected under all applicable laws,
 * including copyright laws.
 * THIS MATERIAL IS PROVIDED "AS IS," AND RENESAS MAKES NO WARRANTIES REGARDING THIS MATERIAL,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, NEITHER RENESAS ELECTRONICS CORP. NOR ANY OF ITS
 * AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS MATERIAL, EVEN IF RENESAS OR ITS AFFILIATES
 * HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this Material
 * and to discontinue its availability
 *
 ****************************************************************************************
 * filter.h
 *
 *  Created on: Aug 22, 2016
 *      Author: mitsumono
 ****************************************************************************************
 */

#ifndef FILTER_H_
#define FILTER_H_

#include <stdbool.h>

typedef struct
{
    double moving_average_one_prev;
    double moving_average_one_curr;
    double ri_one;
    double low_pass_one_prev;
    double low_pass_one_curr;
    double moving_average_two_prev;
    double moving_average_two_curr;
    double ri_two;
    double low_pass_two_prev;
    double low_pass_two_curr;
} adc_filter_t;

#define K_ONE (double) 0.015
#define K_TWO (double) 0.005
#define L_ONE (double) 0.04

void calculate_low_pass (double input, double *prev_value, double *curr_value, double k);
void filter_adc(int val, int *running_average, int *filtered_value);
void update_threshold (int *ri, double input, int *prev_value, double k);
int running_avg(double kavg, int prev_out, int input, bool first_call);
#endif /* FILTER_H_ */
