//
//  ActivityViewController.m
//  BLE Solution
//
//  Created by Mark F Rodriguez on 7/26/16.
//  Copyright © 2016 Mark F Rodriguez. All rights reserved.
//

#import "ActivityViewController.h"

@interface ActivityViewController ()

@end

@implementation ActivityViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    // Tell notification center to inform on "ActivityDataReceived" notifications
    // using the bleNotification: selector. By specifying object:nil, informing
    // the notification center we are not interested in who posted the notification.
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(activityNotification:)
                                                 name:@"ActivityDataReceived"
                                               object:nil];
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(activityDisconnect:)
                                                 name:@"BleDisconnected"
                                               object:nil];
}

- (void) activityNotification:(NSNotification *) notification
{
    if ([[notification name] isEqualToString:@"ActivityDataReceived"]) {
        NSDictionary *values = [NSDictionary dictionaryWithDictionary:notification.userInfo];
        
        // steps
        [self.stepsLabel setText:[values valueForKey:@"Steps"]];
        
        // calories
        [self.caloriesLabel setText:[values valueForKey:@"Calories"]];
        
        // distance
        [self.distanceLabel setText:[values valueForKey:@"Distance"]];
    }
}

- (void) activityDisconnect:(NSNotification *) notification
{
    if ([[notification name] isEqualToString:@"BleDisconnected"]) {
        // steps
        [self.stepsLabel setText:@"-"];
        
        // calories
        [self.caloriesLabel setText:@"-"];
        
        // distance
        [self.distanceLabel setText:@"-"];
    }
}

- (void)dealloc {
    // Must remove observer; otherwise the Notification Center will
    // continue to try and send notification objects to the deallocated
    // object
    [[NSNotificationCenter defaultCenter] removeObserver:self];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
