//
//  HealthData.m
//  BLE-Demo
//
//  Created by James Roth on 4/2/14.
//  Copyright (c) 2014 Xaplos, Inc. All rights reserved.
//

#import "HealthData.h"


@implementation HealthData

- (NSDictionary *)characteristicDataToValues:(NSData *)data {
    const UInt8 *bytes = [data bytes];
    int index = 0;
    // all data coming over as uint16_t
    uint16_t rawData;
    
    // spo2
    rawData = bytes[index + 1] << 8 | bytes[index + 0];
    NSString *spo2String = [NSString stringWithFormat:@"%d", rawData];
    index += 2;
    
    // heart rate
    rawData = bytes[index + 1] << 8 | bytes[index + 0];
    NSString *heartrateString = [NSString stringWithFormat:@"%d", rawData];
    index += 2;
    
    // systolic
    rawData = bytes[index + 1] << 8 | bytes[index + 0];
    NSString *systolicString = [NSString stringWithFormat:@"%d", rawData];
    index += 2;
    
    // diastolic
    rawData = bytes[index + 1] << 8 | bytes[index + 0];
    NSString *diastolicString = [NSString stringWithFormat:@"%d", rawData];
    index += 2;
    
    // pulserate
    rawData = bytes[index + 1] << 8 | bytes[index + 0];
    NSString *pulserateString = [NSString stringWithFormat:@"%d", rawData];
    index += 2;
    
    // glucose
    rawData = bytes[index + 1] << 8 | bytes[index + 0];
    NSString *glucoseString = [NSString stringWithFormat:@"%d", rawData];
    index += 2;
    
    // BPM state information
    rawData = bytes[index + 1] << 8 | bytes[index + 0];
    NSString *bpmStateString = [NSString stringWithFormat:@"%d", rawData];
    index += 2;
    
    // BPM state information
    rawData = bytes[index + 1] << 8 | bytes[index + 0];
    NSString *bgmStateString = [NSString stringWithFormat:@"%d", rawData];
    

    NSDictionary *result = [NSDictionary dictionaryWithObjectsAndKeys:
                            spo2String, @"SpO2",
                            heartrateString, @"HeartRate",
                            systolicString, @"Systolic",
                            diastolicString, @"Diastolic",
                            pulserateString, @"PulseRate",
                            glucoseString, @"Glucose",
                            bpmStateString, @"BpmState",
                            bgmStateString, @"BgmState",
                            nil];
    
    return result;
}

@end
