//
//  SensorViewController.m
//  BLE Solution
//
//  Created by Mark F Rodriguez on 7/26/16.
//  Copyright © 2016 Mark F Rodriguez. All rights reserved.
//

#import "SensorViewController.h"

@interface SensorViewController ()

@end

@implementation SensorViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    // Tell notification center to inform on "ActivityDataReceived" notifications
    // using the bleNotification: selector. By specifying object:nil, informing
    // the notification center we are not interested in who posted the notification.
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(sensorNotification:)
                                                 name:@"ActivityDataReceived"
                                               object:nil];
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(sensorDisconnect:)
                                                 name:@"BleDisconnected"
                                               object:nil];
}

- (void) sensorNotification:(NSNotification *) notification
{
    if ([[notification name] isEqualToString:@"ActivityDataReceived"]) {
        NSDictionary *values = [NSDictionary dictionaryWithDictionary:notification.userInfo];
        
        // light
        [self.lightLabel setText:[values valueForKey:@"Light"]];
        
        // pressure
        [self.pressureLabel setText:[values valueForKey:@"Pressure"]];
        
        // temperature
        [self.temperatureLabel setText:[values valueForKey:@"Temperature"]];
        
        // humidity
        [self.humidityLabel setText:[values valueForKey:@"Humidity"]];
    }
}

- (void) sensorDisconnect:(NSNotification *) notification
{
    if ([[notification name] isEqualToString:@"BleDisconnected"]) {
        // light
        [self.lightLabel setText:@"-"];
        
        // pressure
        [self.pressureLabel setText:@"-"];
        
        // temperature
        [self.temperatureLabel setText:@"-"];
        
        // humidity
        [self.humidityLabel setText:@"-"];
    }
}

- (void)dealloc {
    // Must remove observer; otherwise the Notification Center will
    // continue to try and send notification objects to the deallocated
    // object
    [[NSNotificationCenter defaultCenter] removeObserver:self];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
