/*
 ****************************************************************************************
 * DISCLAIMER
 ****************************************************************************************
 * This software and/or information (the "Material") is supplied by Renesas Electronics
 * Corporation. and is only intended for use with Renesas products. No other uses are authorized.
 * The Material is owned by Renesas Electronics Corporation and is protected under all applicable laws,
 * including copyright laws.
 * THIS MATERIAL IS PROVIDED "AS IS," AND RENESAS MAKES NO WARRANTIES REGARDING THIS MATERIAL,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED BY LAW, NEITHER RENESAS ELECTRONICS CORP. NOR ANY OF ITS
 * AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS MATERIAL, EVEN IF RENESAS OR ITS AFFILIATES
 * HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this Material
 * and to discontinue its availability
 *
 ****************************************************************************************
 * config.h
 *
 *  Created on: Dec 16, 2015
 *      Author: alejandro
 ****************************************************************************************
 */

#ifndef CONFIG_H_
#define CONFIG_H_

/* comment this out for real use of the app
#define FAKE_PULSE_OX_HR    67
#define FAKE_PULSE_OX_O2    988
*/

#define RL78_RESET      (IOPORT_PORT_00_PIN_11)
#define TOOL0           (IOPORT_PORT_01_PIN_07)

#define PULSE_R_PIN             IOPORT_PORT_04_PIN_15
#define PULSE_IR_PIN            IOPORT_PORT_04_PIN_14

#define PULSE_R_PWM_PIN         IOPORT_PORT_04_PIN_05
#define PULSE_IR_PWM_PIN        IOPORT_PORT_04_PIN_06

#define PULSE_R_PWM_IDLE_LEVEL  IOPORT_LEVEL_LOW
#define PULSE_IR_PWM_IDLE_LEVEL IOPORT_LEVEL_LOW

//#define PULSE_R_PIN             IOPORT_PORT_04_PIN_14
//#define PULSE_IR_PIN            IOPORT_PORT_04_PIN_15

#define PULSE_ENABLE_LEVEL      IOPORT_LEVEL_LOW
#define PULSE_DISABLE_LEVEL     IOPORT_LEVEL_HIGH

#define LED_COUNT       6

#define LED_1_PIN       IOPORT_PORT_04_PIN_03
#define LED_1_ON_LEVEL  IOPORT_LEVEL_LOW
#define LED_1_OFF_LEVEL IOPORT_LEVEL_HIGH
#define LED_1_DEFAULT   LED_1_ON_LEVEL

#define LED_2_PIN       IOPORT_PORT_04_PIN_04
#define LED_2_ON_LEVEL  IOPORT_LEVEL_LOW
#define LED_2_OFF_LEVEL IOPORT_LEVEL_HIGH
#define LED_2_DEFAULT   LED_2_OFF_LEVEL

#define LED_3_PIN       IOPORT_PORT_04_PIN_02
#define LED_3_ON_LEVEL  IOPORT_LEVEL_LOW
#define LED_3_OFF_LEVEL IOPORT_LEVEL_HIGH
#define LED_3_DEFAULT   LED_3_OFF_LEVEL

#define LED_4_PIN       IOPORT_PORT_03_PIN_03
#define LED_4_ON_LEVEL  IOPORT_LEVEL_LOW
#define LED_4_OFF_LEVEL IOPORT_LEVEL_HIGH
#define LED_4_DEFAULT   LED_4_ON_LEVEL

#define LED_5_PIN       IOPORT_PORT_03_PIN_02
#define LED_5_ON_LEVEL  IOPORT_LEVEL_LOW
#define LED_5_OFF_LEVEL IOPORT_LEVEL_HIGH
#define LED_5_DEFAULT   LED_5_OFF_LEVEL

#define LED_6_PIN       IOPORT_PORT_03_PIN_01
#define LED_6_ON_LEVEL  IOPORT_LEVEL_LOW
#define LED_6_OFF_LEVEL IOPORT_LEVEL_HIGH
#define LED_6_DEFAULT   LED_6_OFF_LEVEL

#define POWER_LED_R     LED_1
#define POWER_LED_G     LED_2
#define POWER_LED_B     LED_3

#define STATUS_LED_R    LED_4
#define STATUS_LED_G    LED_5
#define STATUS_LED_B    LED_6

#endif /* CONFIG_H_ */
